# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.ContactListingNotes do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :id,
    :ContactKeyNumeric,
    :ContactListingNotesKeyNumeric,
    :ListingKeyNumeric,
    :ContactKey,
    :ContactListingNotesKey,
    :ListingId,
    :ListingKey,
    :NoteContents,
    :NotedBy,
    :ModificationTimestamp,
    :Contact
  ]

  @type t :: %__MODULE__{
    :id => integer() | nil,
    :ContactKeyNumeric => float() | nil,
    :ContactListingNotesKeyNumeric => float() | nil,
    :ListingKeyNumeric => float() | nil,
    :ContactKey => String.t | nil,
    :ContactListingNotesKey => String.t | nil,
    :ListingId => String.t | nil,
    :ListingKey => String.t | nil,
    :NoteContents => String.t | nil,
    :NotedBy => String.t | nil,
    :ModificationTimestamp => Date.t | nil,
    :Contact => FoyerAPI.Model.Contacts.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.ContactListingNotes do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:ModificationTimestamp, :date, nil, options)
    |> deserialize(:Contact, :struct, FoyerAPI.Model.Contacts, options)
  end
end

